%define	upstream_name    HTML-Format
%define	upstream_version 2.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CPAN %{upstream_name} perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/HTML-Format/
Source0:    http://search.cpan.org/CPAN/authors/id/S/SB/SBURKE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Font::Metrics::Courier)
BuildRequires: perl(Font::Metrics::CourierBold)
BuildRequires: perl(Font::Metrics::CourierBoldOblique)
BuildRequires: perl(Font::Metrics::CourierOblique)
BuildRequires: perl(Font::Metrics::Helvetica)
BuildRequires: perl(Font::Metrics::HelveticaBold)
BuildRequires: perl(Font::Metrics::HelveticaBoldOblique)
BuildRequires: perl(Font::Metrics::HelveticaOblique)
BuildRequires: perl(Font::Metrics::TimesBold)
BuildRequires: perl(Font::Metrics::TimesBoldItalic)
BuildRequires: perl(Font::Metrics::TimesItalic)
BuildRequires: perl(Font::Metrics::TimesRoman)
BuildRequires: perl(HTML::Element) >= 3.150.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(bytes)
BuildRequires: perl(integer)
BuildRequires: perl(utf8)
BuildRequires: perl-Font-AFM >= 1.17
BuildRequires: perl-HTML-Tree >= 3.15
BuildArch:  noarch

%description
This is a collection of modules that formats HTML as plaintext,
PostScript or RTF.

The modules present in this package are:

  HTML::FormatText - Formatter that converts a syntax tree to plain
        readable text.

  HTML::FormatPS - Formatter that outputs PostScript code.

  HTML::FormatRTF - Formatter that outputs RTF code.

  HTML::Formatter - Base class for various formatters.  Formatters
        traverse a syntax tree and produce some textual output.  None
        of the current formatters handle tables or forms yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 368024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 2.10

* Fri Jun 17 2011 jquelin <jquelin> 2.70.0-1.mga2
+ Revision: 108879
- update to 2.07

* Mon Feb 28 2011 jquelin <jquelin> 2.50.0-1.mga1
+ Revision: 61466
- update to 2.05
- update to 2.05

* Thu Jan 20 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 26330
- mageia rebuild
- imported package perl-HTML-Format

